> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Update Policy Property > Update Policy State.
Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.
In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.
## OpenAPI ````json PATCH /api/2.0/policies/{envId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "| Region | Base URL |
|---|---|
| United States (US) | https://api.us1.plainid.io |
| Canada (CA) | https://api.ca1.plainid.io |
| Europe (EU) | https://api.eu1.plainid.io |
| Local PAA | https://api.plainid.local |
Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.
In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.
", "operationId": "updatePolicyState", "parameters": [ { "in": "path", "name": "envId", "required": true, "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "in": "query", "name": "filter[authWsId]", "description": "The Policies Workspace ID can be found in the Workspace Settings.", "required": true, "schema": { "type": "string", "format": "uuid" } }, { "in": "query", "name": "filter[id]", "description": "Policy ID Filter", "required": true, "schema": { "type": "string" } } ], "security": [ { "bearerAuth": [] } ], "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/patchRequest" } }, "examples": { "Switch Policy State": { "value": [ { "op": "replace", "path": "/state", "value": true } ] }, "Update Policy ID": { "value": [ { "op": "replace", "path": "/policyId", "value": "new_policy_id" } ] } } } }, "required": true }, "responses": { "204": { "description": "Success - No Content", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "400": { "description": "bad request", "headers": { "x-request-id": { "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Errors" }, "examples": { "Authorization WS not found": { "value": { "errors": [ { "code": "PAC-001", "args": { "0": "ceef5853-1491-4d1c-ae52-2f2a1729b3a4" }, "id": "EWWOTR", "status": 400, "name": "AuthorizationWsNotFound", "message": "Policies Workspace: [ceef5853-1491-4d1c-ae52-2f2a1729b3a4] not found" } ] } }, "Patch operation rejected by policy-mgmt": { "value": { "errors": [ { "code": "PA-072", "id": "E9F3KD", "status": 400, "name": "BadRequestError", "message": "Could not locate patch path" } ] } }, "Duplicate field in request body": { "value": { "errors": [ { "id": "EPMQJV", "status": 400, "name": "DuplicateJsonFieldError", "message": "Duplicate field in request body: 'value'" } ] } } } } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "404": { "description": "not found", "headers": { "x-request-id": { "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Errors" }, "examples": { "Policy not found": { "value": { "errors": [ { "code": "PUA-033", "args": { "0": "a0a455bb-7dc3-4cd3-b0d2-86631ac75379", "1": "ceef5853-1491-4d1c-ae52-2f2a1729b3a4" }, "id": "E7WJBB", "status": 404, "name": "PolicyNotFoundError", "message": "Policy Id doesn't exist in the environment" } ] } } } } } }, "422": { "description": "Validation Failed - Invalid UUID or invalid /policyId value", "headers": { "x-request-id": { "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Errors" }, "examples": { "Invalid ID Format": { "value": { "errors": [ { "code": "V-032", "args": { "0": "ed252aa5-9d0c-4193-838-60bf20b13109", "1": "uuid" }, "id": "EEJQMA", "status": 422, "name": "UnprocessableEntityError", "message": "$: test is an invalid uuid" } ] } }, "Invalid policy ID characters": { "value": { "errors": [ { "code": "V-023", "id": "E4K7QZ", "status": 422, "name": "UnprocessableEntityError", "message": "Invalid policy ID. Acceptable characters: letters (a-z, A-Z), digits (0-9), hyphens ('-'), underscores ('_'), colons (':'), and periods ('.')." } ] } } } } } } } } } }, "components": { "schemas": { "patchRequest": { "oneOf": [ { "$ref": "#/components/schemas/patchRequestState" }, { "$ref": "#/components/schemas/patchRequestPolicyId" } ] }, "Errors": { "type": "object", "properties": { "errors": { "type": "array", "items": { "$ref": "#/components/schemas/Error" } } } }, "patchRequestState": { "type": "object", "required": [ "op", "path", "value" ], "properties": { "op": { "type": "string", "enum": [ "replace" ] }, "path": { "type": "string", "enum": [ "/state" ] }, "value": { "type": "boolean", "default": true } } }, "patchRequestPolicyId": { "type": "object", "required": [ "op", "path", "value" ], "properties": { "op": { "type": "string", "enum": [ "replace" ] }, "path": { "type": "string", "enum": [ "/policyId" ] }, "value": { "type": "string" } } }, "Error": { "type": "object", "properties": { "code": { "type": "string" }, "id": { "type": "string" }, "status": { "type": "integer" }, "name": { "type": "string" }, "message": { "type": "string" }, "args": { "type": "object", "properties": { "path": { "type": "string" } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "description": " For more details about Administration API Authentication, check out the Authentication APIs documentation